<!DOCTYPE html>
<head>
{{-- This section may need to be overwritten in descendants --}}
@section('head-metas')
	<meta charset='utf-8'>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<link rel="stylesheet" href="">
	<link rel="shortcut icon" type="image/jpg" href="/img/arrow-up.svg"/>
@show
	<title>Trendplays - @yield('title')</title>
</head>

<body>
	<nav class="navigator @yield('heading-style')" role="navigation">
		<a id='logo' href='/'>
			<h1>Trendplays</h1>
			<img src="/img/arrow-up.svg" height="30px" alt="">
		</a>
		@guest
		<form id='login_form' class= 'login' method='POST'>
			<div>
			<label for='sender_email'>Email</label>
			<input required id='login_email' type='email' name='sender_email' placeholder=''
spellcheck='false'>
			</div>
			<div>
			<label for='sender_password'>Password</label>
			<input required id='login_password' type='password' name='sender_password' placeholder='' spellcheck='false'>
			</div>
			<button class='login-btn'type="login">Log in</button>
			<div><p class="error"></p></div>
		</form>
		<div id="nav_toggle" class="nav-toggle"><div>
			
		@endguest
			<span class="icon-bar"></span>
			<!-- probably not needed -->
	</nav>
	<div @if (count($errors) == 0) { hidden } @endif class='errors'>
		<ul>
			@foreach ($errors->all() as $error)
				<li>{{$error}}</li>
			@endforeach
		</ul>
	</div>
	@yield('content')
	<footer class='footer text-center'>
		<div class='foot-links'>
			<a href="/terms">Terms & Policy</a>
			<a href="mail:support@trendplays.com">Help</a>
			<a id="forgot-password-btn" href="#">Reset Password</a>
		</div>
		<small>©Copyright 2021 Trendplays Network, Inc.</small>
	</footer>
	@yield('scripts')
</body>
